import type { NangoYamlParsed, PostConnectionScriptByProvider, IncomingFlowConfig, PostDeploy } from '@nangohq/types';
import type { DeployOptions, InternalDeployOptions } from '../types.js';
import type { JSONSchema7 } from 'json-schema';
declare class DeployService {
    admin({ fullPath, environmentName, debug }: {
        fullPath: string;
        environmentName: string;
        debug?: boolean;
    }): Promise<void>;
    prep({ fullPath, options, environment, debug }: {
        fullPath: string;
        options: DeployOptions;
        environment: string;
        debug?: boolean;
    }): Promise<void>;
    deploy(url: string, body: PostDeploy['Body']): Promise<void>;
    internalDeploy({ fullPath, environment, options, debug }: {
        fullPath: string;
        environment: string;
        options: InternalDeployOptions;
        debug?: boolean;
    }): Promise<void>;
    package({ parsed, fullPath, debug, version, optionalSyncName, optionalActionName }: {
        parsed: NangoYamlParsed;
        fullPath: string;
        debug: boolean;
        version?: string | undefined;
        optionalSyncName?: string | undefined;
        optionalActionName?: string | undefined;
    }): {
        flowConfigs: IncomingFlowConfig[];
        postConnectionScriptsByProvider: PostConnectionScriptByProvider[];
        jsonSchema: JSONSchema7;
    } | null;
}
declare const deployService: DeployService;
export default deployService;
