import type { NangoProps, RunnerOutput } from '@nangohq/shared';
import type { Metadata } from '@nangohq/types';
import type { GlobalOptions } from '../types.js';
interface RunArgs extends GlobalOptions {
    sync: string;
    connectionId: string;
    lastSyncDate?: string;
    useServerLastSyncDate?: boolean;
    input?: unknown;
    metadata?: Metadata;
    optionalEnvironment?: string;
    optionalProviderConfigKey?: string;
    saveResponses?: boolean;
}
export declare class DryRunService {
    fullPath: string;
    validation: boolean;
    environment?: string;
    returnOutput?: boolean;
    constructor({ environment, returnOutput, fullPath, validation }: {
        environment?: string;
        returnOutput?: boolean;
        fullPath: string;
        validation: boolean;
    });
    run(options: RunArgs, debug?: boolean): Promise<string | undefined>;
    runScript({ syncName, nangoProps, optionalLoadLocation, input }: {
        syncName: string;
        nangoProps: NangoProps;
        optionalLoadLocation: string;
        input: object;
    }): Promise<RunnerOutput>;
}
export {};
