import type { NangoConnection } from '@nangohq/types';
export declare const NANGO_INTEGRATIONS_NAME = "nango-integrations";
export declare const NANGO_INTEGRATIONS_LOCATION: string;
export declare const isCI: string | undefined;
export declare const port: string;
export declare const hostport: string;
export declare function setCloudHost(): void;
export declare function setStagingHost(): void;
export declare function printDebug(message: string): void;
export declare function isGlobal(packageName: string): Promise<boolean>;
export declare function isLocallyInstalled(packageName: string, debug?: boolean): boolean;
export declare function checkEnvVars(optionalHostport?: string): void;
export declare function getPkgVersion(): string;
export declare function upgradeAction(debug?: boolean): Promise<void>;
export declare function getConnection(providerConfigKey: string, connectionId: string, setHeaders?: Record<string, string | boolean>, debug?: boolean): Promise<NangoConnection | undefined>;
export declare function getConfig(providerConfigKey: string, debug?: boolean): Promise<any>;
export declare function enrichHeaders(headers?: Record<string, string | number | boolean>): Record<string, string | number | boolean>;
export declare const http: import("axios").AxiosInstance;
export declare function getUserAgent(): string;
export declare function getNangoRootPath(debug?: boolean): string;
export declare function parseSecretKey(environment: string, debug?: boolean): Promise<void>;
/**
 * Convert Windows backslash paths to slash paths.
 * From https://github.com/sindresorhus/slash/blob/main/index.js
 */
export declare function slash(path: string): string;
